package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 设备类型
 * @author hurui
 */
public enum DeviceTypeEnum {
    type1(1, "4G收款音响"),
    type2(2, "桌码（支付码）"),
            ;

    private Integer number;

    private String name;

    DeviceTypeEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static DeviceTypeEnum getDataByNumber(Integer number) {
        for (DeviceTypeEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }


    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
